[Bug 477496] [NEW] Sync pylint 0.18.1-1 (universe) from Debian testing (main)

Alessio Treglia quadrispro at ubuntu.com
Sat Nov 7 15:01:25 GMT 2009

Public bug reported:

Hash: SHA1

 affects ubuntu/pylint
 status confirmed
 importance wishlist
 subscribe ubuntu-archive

Please sync pylint 0.18.1-1 (universe) from Debian testing (main)

Explanation of the Ubuntu delta and why it can be dropped:
My changes have been adopted by debian.
It builds and works fine, so we should re-sync this with Debian.

Changelog entries since current lucid version 0.18.0-1ubuntu1:

pylint (0.18.1-1) unstable; urgency=medium

  [ Julien Lavergne ]
  * Python 2.6 transition, thanks Alessio Treglia for the patch; Closes: #530509
   - Use --install-layout=deb for setup.py install.
   - Replace site-packages by *-packages.
   - Build-depends on python >= 2.5.4-1~ for --install-layout=deb.

  [ Alexandre Fayolle ]
   * debian/rules: set NO_SETUPTOOLS when calling python setup.py

  [ Sandro Tosi ]
  * New upstream release
    - fix a false positive on E0611; thanks to Yann Dirson for the report;
      Closes: #546522
  * debian/control
    - removed Conflicts and Replaces, no more needed
    - bump Standards-Version to 3.8.3 (no changes needed)
    - bump versioned dependencies on python-logilab-common and
      python-logilab-astng (to correctly handle migratation from pycentral to
      pysupport, hence the urgency)
  * debian/README.source
    - removed, not needed

 -- Sandro Tosi <morph at debian.org>  Mon, 14 Sep 2009 23:52:18 +0200

Version: GnuPG v1.4.9 (GNU/Linux)


** Affects: pylint (Ubuntu)
     Importance: Wishlist
         Status: Confirmed

Sync pylint 0.18.1-1 (universe) from Debian testing (main)
You received this bug notification because you are a member of Ubuntu
Package Archive Administrators, which is a direct subscriber.

More information about the ubuntu-archive mailing list